Bug 120813 - (pcmcia_after_standby) pcmcia cards are down when laptop wakes up after standby
pcmcia cards are down when laptop wakes up after standby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 23:23 EDT by Dima Rasnitsyn
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dima Rasnitsyn 2004-04-13 23:23:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Laptop: Dell Inspiron 4000
NIC: Xircom RealPort 10/100 (RBE-100)
Kernel: 2.6.5-1.315

How reproducible:
Consistently reproducible

Steps to Reproduce:
1. Press Suspend button (Fn - Suspend) - nothing happens. Computer 
does not suspend (used to work with RedHat 9)
2. Verify that Xircom card is active (have network connection; card 
light is flashing)
3. Statndby (echo -n standby >/sys/power/state or echo -n mem 
>/sys/power/state)
4. Laptop screan becomes white (if doing mem, or black if standby)
5. Quickly press power button
6. 
  
Actual results:

Laptop returns to previous state (wakes up), but the card is down the 
light is off; ifconfig still shows eth0, but the network is 
inaccessible)

Expected results:

pcmcia card is expected to get into previous state (working)

Additional info:

dmesg output:
blk: queue 15d7f000, I/O limit 4095Mb (mask 0xffffffff)
drivers/acpi/osl.c:728: spin_lock(drivers/acpi/osl.c:15f28940) 
already locked by drivers/acpi/osl.c/728
drivers/acpi/osl.c:747: spin_unlock(drivers/acpi/osl.c:15f28940) not 
locked
Restarting tasks... done
Comment 1 Dave Jones 2005-04-16 00:03:03 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.